E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GAuth::SaslServerFactory Class Reference

Provides a factory function for SaslServer instances. More...

`#include <gsaslserverfactory.h>`

## Static Public Member Functions
static unique_ptr< SaslServer > | newSaslServer (const SaslServerSecrets &, bool allow_apop)
| A factory function for a SaslServer.

## Detailed Description

Provides a factory function for SaslServer instances.

Definition at line 37 of file gsaslserverfactory.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslserverfactory.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslserverfactory_basic.cpp
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslserverfactory_pam.cpp